package eu.jonahbauer.wizard.core.machine.states.trick;

import eu.jonahbauer.wizard.core.machine.states.GameData;
import eu.jonahbauer.wizard.core.machine.states.round.RoundState;

import static eu.jonahbauer.wizard.core.machine.states.GameData.*;

public abstract class TrickState extends RoundState {
    public TrickState(GameData data) {
        super(
                data.requireEach(PLAYERS, HANDS)
                    .requireEach(PLAYERS, PREDICTIONS)
                    .require(TRUMP_SUIT, TRICK, TRICKS, CURRENT_PLAYER)
                    .keep(CLOUDED_PLAYER)
        );
    }
}
